#x86_64
%define _requires_exceptions libevent-2.0.so.5()(64bit)\\|libpng15.so.15()(64bit)\\|libmozsqlite3.so()(64bit)\\|libstdc++.so.6()(64bit)
#x86_32
%define _requires_exceptions libevent-2.0.so.5\\|libmozsqlite3.so\\|libstdc++.so.6

Name:     tor-browser-bundle
Version:  11.5.8
Release:  %mkrel 1

Summary:  Anonymous browser
URL:      http://www.torproject.org.in/projects/torbrowser.html.en/
License:  GPLv3
Group:    Networking/WWW
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	wget
BuildRequires:	imagemagick
Requires: pclinuxos-release
AutoReqProv: no

%description
The Tor software protects you by bouncing your communications around a distributed network 
of relays run by volunteers all around the world: It prevents somebody watching your Internet 
connection from learning what sites you visit, it prevents the sites you visit from learning 
your physical location, and it lets you access sites which are blocked.

%prep


%build
#nobuild

%install
rm -rf $RPM_BUILD_ROOT

cd %_builddir
wget -nc https://www.torproject.org/dist/torbrowser/%{version}/tor-browser-linux64-%{version}_en-US.tar.xz
unxz -c tor-browser-linux64-%{version}_en-US.tar.xz | tar xf - -C %_builddir

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/%{name}
cp -r tor-browser_en-US/* $RPM_BUILD_ROOT/%{_datadir}/%{name}
chmod -R +xr $RPM_BUILD_ROOT/%{_datadir}/%{name}

# icon
mkdir -p $RPM_BUILD_ROOT/%_datadir/pixmaps
install -m 644 tor-browser_en-US/Browser/browser/chrome/icons/default/default128.png \
$RPM_BUILD_ROOT/%_datadir/pixmaps/%{name}.png
convert -scale 48 %buildroot/%_datadir/pixmaps/%name.png \
%buildroot/%_datadir/pixmaps/%name.png


# start script
mkdir -p %{buildroot}%{_bindir}
cat > %{buildroot}/%{_bindir}/%{name} << EOF
#!/bin/sh
if [ -e ~/.%{name} ]; then
	cd ~/.%{name}/Browser
	sh start-tor-browser $@
else 
	mkdir -p ~/.%{name}
	cp -r %{_datadir}/%{name}/* ~/.tor-browser-bundle
	cd ~/.%{name}/Browser
	sh start-tor-browser $@
fi

EOF

chmod +x %{buildroot}/%{_bindir}/%{name}

# menu-entry
mkdir -p %{buildroot}/%_datadir/applications/
cat > %{buildroot}/%_datadir/applications/%{name}.desktop << EOF
[Desktop Entry]
Version=1.0
Name=Tor Browser
Comment=Browse the web anonymously
Exec=tor-browser-bundle
Icon=%{name}
Terminal=0
Type=Application
Categories=Network;WebBrowser;X-MandrivaLinux-Internet-WebBrowsers;
EOF

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/tor*

%post
SYSUSERS=$(grep [0-9][0-9][0-9]:.*/home /etc/passwd | grep -f /etc/shells | cut -d: -f1)
for idx in $SYSUSERS
do
	mkdir -p /home/$idx/.%{name}
	cp -r %{_datadir}/%{name}/* /home/$idx/.tor-browser-bundle
	chown -R $idx: /home/$idx/.tor-browser-bundle
done

%postun
rm -rf /home/*/.%{name}


%files 
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}
%_datadir/pixmaps/*.png
%_datadir/applications/%{name}.desktop


%changelog
* Wed Nov 23 2022 tex - 11.5.8-1pclos2022
- new version

* Sun Nov 06 2022 tex - 11.5.7-1pclos2022
- new version

* Sun Oct 30 2022 tex - 11.5.6-1pclos2022
- new version

* Sun Oct 16 2022 tex - 11.5.4-1pclos2022
- new version

* Thu Jul 21 2022 tex - 11.5-1pclos2022
- new version

* Fri Jun 10 2022 tex - 11.0.14-1pclos2022
- new version

* Thu May 26 2022 tex - 11.0.13-1pclos2022
- new version

* Tue Apr 19 2022 tex - 11.0.10-1pclos2022
- new version

* Sat Mar 26 2022 tex - 11.0.9-1pclos2022
- new version

* Thu Feb 10 2022 tex - 11.0.6-1pclos2022
- new version

* Fri Dec 24 2021 tex - 11.0.3-1pclos2022
- new version

* Thu Oct 28 2021 tex - 10.5.10-1pclos2021
- new version

* Sat Aug 21 2021 tex - 10.5.5-1pclos2021
- new version

* Tue Aug 17 2021 tex - 10.5.4-1pclos2021
- new version

* Wed Jun 30 2021 tex - 10.0.18-1pclos2021
- new version

* Mon Jun 14 2021 tex - 10.0.17-1pclos2021
- new version
